Bug 72491 - rename spec to avoid conflict with readline-4.3
rename spec to avoid conflict with readline-4.3
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: readline41 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 11:02 EDT by Chris Ricker
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 10:55:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-08-24 11:02:08 EDT
Both readline41 and readline have spec files named readline.spec.  Would it be
possible to rename the spec for readline41 to readline41?  It would make life
easier for those of use who do large-scale manipulations of the entire distro.....
Comment 1 Chris Ricker 2003-03-26 12:46:24 EST
this is still broken in RHL 9 gold

readline41-4.1-16.src.rpm and readline-4.3-5.src.rpm both contain a spec named
readline.spec
(so those of us who need to install all SRPMs and rebuild the system have to
special-case the 41 package)
Comment 2 Tim Waugh 2004-12-08 10:10:56 EST
Renaming will lose all CVS history.  Easily worked around by setting _rpmdir,
_builddir etc.
Comment 3 Chris Ricker 2004-12-08 10:17:03 EST
a) I don't care about CVS. There is no CVS yet (at least from a
customer perspective). When / if that ever becomes available, it might
be a valid argument

b) no one else has had a problem doing this with the other specs that
have had clashing names over the years

Not having to special case spec file naming stupidities is important
for customers....
Comment 4 Tim Waugh 2004-12-08 10:55:13 EST
Personally, CVS history is important to me as a package maintainer.

Note You need to log in before you can comment on or make changes to this bug.